package com.ruoyi.bst.areaJoin.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AreaJoinPermission {

    AREA_VIEW("area:view", "查看运营区"),
    AREA_EDIT("area:edit", "操作运营区"),
    FAULT_VIEW("fault:view", "查看故障"),
    FAULT_EDIT("fault:edit", "故障审核"),
    ORDER_VIEW("order:view", "查看订单"),
    ORDER_EDIT("order:edit", "操作订单"),
    DEVICE_VIEW("device:view", "查看车辆"),
    DEVICE_EDIT("device:edit", "操作车辆"),
    ORDER_VIEW_AMOUNT("order:view:amount", "查看订单金额"),
    CUSTOMER_SERVICE_VIEW("customerService:view", "查看客服"),
    CUSTOMER_SERVICE_EDIT("customerService:edit", "操作客服"),
    VIP_VIEW("vip:view", "查看卡券"),
    VIP_EDIT("vip:edit", "操作卡券"),
    VIP_ORDER_VIEW("vipOrder:view", "查看卡券订单"),
    VIP_ORDER_EDIT("vipOrder:edit", "操作卡券订单"),
    VIP_USER_VIEW("vipUser:view", "查看用户卡券"),
    VIP_USER_EDIT("vipUser:edit", "操作用户卡券"),
    CREDIT_VIEW("credit:view", "查看挂账方"),
    CREDIT_EDIT("credit:edit", "操作挂账方"),
    CREDIT_USER_VIEW("creditUser:view", "查看挂账用户"),
    CREDIT_USER_EDIT("creditUser:edit", "操作挂账用户");
    
    private final String code;
    private final String name;

}
